
Foreman - Bug #31884

rake errors:fetch_log errors when layout is not multiline_request_pattern

02/16/2021 10:17 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Rake tasks   

Target version: 2.2.3   

Difficulty:  Fixed in Releases: 2.2.3, 2.3.3, 2.4.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8330

  

Description

$STDERR should be $stderr

Related issues:

Related to Foreman - Bug #31262: Users are not warned on an incorrect logging... Closed

Associated revisions

Revision 78188a4e - 02/16/2021 10:51 AM - Tomer Brisker

Fixes #31884 - Correctly warn about wrong logging layout

When running `rake errors:fetch_log`, if the logging layout isn't set to

`multiline_request_pattern` the task errors out because `$STDERR` doesn't

exist. This is a typo, it should have been `$stderr`, but since we use

stdout for all other messages this has been dropped to be consistant.

History

#1 - 02/16/2021 10:18 AM - Tomer Brisker

- Related to Bug #31262: Users are not warned on an incorrect logging layout in errors:fetch_log added

#2 - 02/16/2021 10:18 AM - Tomer Brisker

- Target version set to 2.2.3

#3 - 02/16/2021 10:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/8330 added

#4 - 02/16/2021 10:51 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#5 - 02/16/2021 11:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|78188a4e0116ec9d54482e76bafbb3141fa3c049.

#6 - 02/16/2021 11:14 AM - Tomer Brisker

- Fixed in Releases 2.2.3, 2.3.3, 2.4.0 added

- Fixed in Releases deleted (2.5.0)

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/78188a4e0116ec9d54482e76bafbb3141fa3c049
http://www.tcpdf.org

